﻿@model OsobaViewModel

<h1>Dodaj novu osobu</h1>
<p>
    <small>
        Stranica za dodavanje nove osobe. Sva su polja obavezna. Polje tvrtka, funkcija, stručna sprema i mjesto su padajuće liste, koje prikazuju podatke iz vlastitih tablica umjesto ID stranih ključeva. Nakon dodavanja osobe, korisnika se vraća na stranicu osoba i ispisuje se poruka o uspjehu ili neuspjehu dodavanja nove osobe.
    </small>
</p>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="Oib"></label>
        <input asp-for="Oib" class="form-control" type="number" />
    </div>
    <div class="form-group">
        <label asp-for="Ime"></label>
        <input asp-for="Ime" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Prezime"></label>
        <input asp-for="Prezime" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkTvrtka"></label>
        <div><span asp-validation-for="FkTvrtka" class="text-danger"></span></div>
        <input asp-for="@Model.NazivTvrtke" class="form-control" data-autocomplete="tvrtka"
               data-autocomplete-placeholder-name="tvrtkaosobe"
               value="@Model.NazivTvrtke" />
        <input type="hidden" asp-for="FkTvrtka" data-autocomplete-placeholder="tvrtkaosobe" />
    </div>
    <div class="form-group">
        <label asp-for="FkFunkcijaId"></label>
        <div><span asp-validation-for="FkFunkcijaId" class="text-danger"></span></div>
        <input asp-for="@Model.NazivFunkcije" class="form-control" data-autocomplete="funkcija"
               data-autocomplete-placeholder-name="funkcijaosobe"
               value="@Model.NazivFunkcije" />
        <input type="hidden" asp-for="FkFunkcijaId" data-autocomplete-placeholder="funkcijaosobe" />
    </div>
    <div class="form-group">
        <label asp-for="Adresa"></label>
        <input asp-for="Adresa" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkStrucnaSprema"></label>
        <div><span asp-validation-for="FkStrucnaSprema" class="text-danger"></span></div>
        <input asp-for="@Model.NazivStrucneSpreme" class="form-control" data-autocomplete="strucnasprema"
               data-autocomplete-placeholder-name="strucnaspremaosobe"
               value="@Model.NazivStrucneSpreme" />
        <input type="hidden" asp-for="FkStrucnaSprema" data-autocomplete-placeholder="strucnaspremaosobe" />
    </div>
    <div class="form-group">
        <label asp-for="FkMjesto"></label>
        <div><span asp-validation-for="FkMjesto" class="text-danger"></span></div>
        <input asp-for="@Model.NazivMjesta" class="form-control" data-autocomplete="mjesto"
               data-autocomplete-placeholder-name="mjestoosobe"
               value="@Model.NazivMjesta" />
        <input type="hidden" asp-for="FkMjesto" data-autocomplete-placeholder="mjestoosobe" />
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>

@section styles{
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}

@section scripts{
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/js/autocomplete.js" asp-append-version="true"></script>
}